%define name cpufreqd
%define version 1.2.3
%define release 2mdk
%define lib_name %mklibname %name 

# (misc) about the rpmlint warning.
#
# file in /usr/lib are plugin, so they do not have a soname
# and they do not nned to be installable side by side with another
# version, so it is safe to ignore the error.

Name: %{name}
Summary: CPU frequency scaling daemon
Version: %{version}
Release: %{release}
Group: System/Kernel and hardware
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.init.mdk.bz2
Source2: cpufreq_defaults.bz2
Patch0: %{name}.Makefile.patch.bz2
# (fc) 1.2.3-2mdk add more cpu intensive programs to full power mode
Patch1: cpufreqd-1.2.3-defaults.patch.bz2
Url: http://cpufreqd.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires(preun,post): rpm-helper
Buildrequires: automake1.7
Requires:  cpufreq
Requires: %{lib_name} 

%description
cpufreqd is meant to be a replacement of the speedstep applet you
can find on some other OS, it monitors battery level, AC state and
running programs and adjusts the frequency of the processor according to
a set of rules specified in the config file (see cpufreqd.conf (5)).

It works only a kernel patched with the cpufreq patch, such as the 
standard Mandriva Linux kernel.
You also need a supported processor, often found in laptop computer.


%package -n %{lib_name}
Summary: Library for %{name}
Group: System/Kernel and hardware
%description -n %{lib_name}
This packages contains some library needed
by %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .defaults
#(misc) Patch on the makefile, needed to recreate it.
aclocal-1.7
autoconf-2.5x
automake-1.7 -a

%build
%configure2_5x 
%make

%install

%{__rm} -rf ${RPM_BUILD_ROOT}

%makeinstall

%{__install} -d $RPM_BUILD_ROOT{%{_sysconfdir}/sysconfig,%{_initrddir}}
%{__bzip2} -dc %{SOURCE1} > $RPM_BUILD_ROOT/%{_initrddir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__bzip2} -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_datadir}/%{name}/cpufreq_defaults
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING INSTALL README TODO 
%attr(755,root,root) %{_sbindir}/cpufreqd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/cpufreqd.conf
%config(noreplace) %attr(755,root,root) %{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}/
%attr(644,root,root) %{_datadir}/%{name}/cpufreq_defaults
%dir %{_datadir}/%{name}/
%attr(644,root,root) %{_mandir}/*/*

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/*

%changelog
* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-2mdk 
- Patch1: add more programs to full power mode

* Mon Jun 20 2005 Michael Scherer <misc@mandriva.org> 1.2.3-1mdk
- New release 1.2.3
- fix rpmlint warning

* Sat Jan 29 2005 Michael Scherer <misc@mandrake.org> 1.2.2-2mdk 
- change priority of cpufreqd ( thanks to the reporter of #13304 )

* Tue Oct 26 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk
- New release 1.2.2

* Mon Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Tue Aug 24 2004 Michael Scherer <misc@mandrake.org> 1.2.0-2mdk 
- Requires cpufreq

* Mon Aug 23 2004 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- New release 1.2.0

* Fri May 28 2004 Michael Scherer <misc@mandrake.org> 1.1.2-2mdk 
- [DIRM]
- fix building problem

* Tue Mar 16 2004 Michael Scherer <misc@mandrake.org> 1.1.2-1mdk
- 1.1.2
- patch #1 merged upstream
- moved cpufreq_defaults to /usr/share
 
* Tue Feb 24 2004 Danny Tholen <obiwan@mailmij.org> 1.1.1-3mdk
- fix bug with pmu (patch1)
- require autmake 1.4 not 1.7
- script for adjusting config at startup (source2)

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 1.1.1-2mdk
- 2.6 support in the init file, upstream addition
 
* Sun Feb 08 2004 Michael Scherer <misc@mandrake.org> 1.1.1-1mdk
- 1.1.1
 
* Mon Jan 05 2004 Michael Scherer <misc@mandrake.org> 1.1-1mdk 
- 1.1
- patch1 merged upstream
- some adjustement to init file.

* Fri Dec 19 2003 Michael Scherer <misc@mandrake.org> 1.1-0.rc1.2mdk 
- add patch to not have /var/run/cpufreqd.pid world writable ( thanks msec )

* Mon Oct 27 2003 Michael Scherer <scherer.michael@free.fr> 1.1-0.rc1.1mdk 
- 1.1-rc1

* Thu Aug 28 2003 Michael Scherer <scherer.michael@free.fr> 1.0.1-1mdk
- 1.0.1, fix bug on acpi and amd
 
* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.0-2mdk
- package essential library ( /me sucks )
 
* Tue Aug 05 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1mdk
- initial spec for Mandrake cooker.
